> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendpadi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get crypto wallet

> Get a single crypto wallet by currency. Scope: `crypto:read`.

> [!NOTE]
>
> This product may be disabled on your deployment. Contact [support@sendpadi.com](mailto:support@sendpadi.com) if calls return unavailable.


## OpenAPI

````yaml GET /api/v1/merchant/crypto/wallets/{id}
openapi: 3.1.0
info:
  title: SendPadi Merchant API
  version: 1.0.0
  description: >-
    Merchant REST API. Authenticate with HMAC headers (`X-Api-Key`,
    `X-Timestamp`, `X-Signature`). Generate playground headers with [Sign
    requests (playground)](/guides/sign-requests).
servers:
  - url: https://api.sendpadi.com
    description: Production (test + live keys)
security: []
paths:
  /api/v1/merchant/crypto/wallets/{id}:
    get:
      tags:
        - crypto
      summary: Get crypto wallet
      description: Get a single crypto wallet by currency. **Scope:** `crypto:read`.
      operationId: api-reference_crypto_get-wallet
      parameters:
        - name: X-Timestamp
          in: header
          required: true
          description: Unix time in seconds
          schema:
            type: string
        - name: X-Signature
          in: header
          required: true
          description: HMAC-SHA256 signature
          schema:
            type: string
        - name: id
          in: path
          required: true
          description: id path parameter
          schema:
            type: string
          example: tr_001
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                success: true
                message: OK
                data:
                  currency: BTC
                  balance: '0.012'
                  address: bc1...
              examples:
                success:
                  summary: Success
                  value:
                    success: true
                    message: OK
                    data:
                      currency: BTC
                      balance: '0.012'
                      address: bc1...
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key id (sp_test_… / sp_live_…)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.